unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, ExtCtrls, TeeProcs, TeeTree, StdCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    RadioGroup1: TRadioGroup;
    procedure FormCreate(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses TeCanvas, TeeConst, Chart, Series;

var Tree1: TTree;
    Chart1: TChart;

procedure TForm1.FormCreate(Sender: TObject);

  procedure Local_InitNode(pxNode : TTreeNodeShape);
  begin
    pxNode.Border.Visible := False;
    pxNode.ImageIndex := tiNone;
  end;

var
  liI    : Integer;
  lxRoot,
  lxNode : TTreeNodeShape;
begin
  Chart1:=TChart.Create(Self);
  Chart1.Parent:=Self;
  Chart1.Align:=alRight;
  Chart1.AddSeries(TBarSeries).FillSampleValues();

  Tree1:=TTree.Create(Self);
  Tree1.Parent:=Self;
  Tree1.Align:=alClient;
  Caption:=TeeMsg_Version;

  RadioGroup1.Columns:=3;
  RadioGroup1.Items.Add('wnScrollVert');
  RadioGroup1.Items.Add('wnZoom');
  RadioGroup1.Items.Add('wnSelection');
  RadioGroup1.ItemIndex:=0;

  Tree1.Canvas := TTeeCanvas3D.Create;
  lxRoot := Tree1.AddRoot('Root');
  Local_InitNode(lxRoot);
  for liI := 0 to 100 do
  begin
    lxNode := lxRoot.AddChild(IntToStr(liI+1));
    Local_InitNode(lxNode);
  end;

  lxRoot.Expanded := True;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  case RadioGroup1.ItemIndex of
    0: begin
         Tree1.WheelNavigation := wnScrollVert;
         Chart1.Panning.MouseWheel:=pmwNormal;
       end;
    1: begin
         Tree1.WheelNavigation := wnZoom;
         Chart1.Panning.MouseWheel:=pmwNone;
         Chart1.ZoomWheel:=pmwNormal;
       end;
    2: begin
         Tree1.WheelNavigation := wnSelection;
         Chart1.Panning.MouseWheel:=pmwNone;
         Chart1.ZoomWheel:=pmwNone;
       end;
  end;
end;

end.
